import type { _DOMNode } from "./DOMNode.js";
import type { _DOMObject } from "./DOMObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _DOMEvent extends _DOMObject {
    static alloc(): _DOMEvent;
    static new(): _DOMEvent;
    init(): _DOMEvent;
    stopPropagation(): void;
    preventDefault(): void;
    initEvent$canBubbleArg$cancelableArg$(eventTypeArg: _NSString, canBubbleArg: boolean, cancelableArg: boolean): void;
    initEvent$$$(eventTypeArg: _NSString, canBubbleArg: boolean, cancelableArg: boolean): void;
    type(): _NSString;
    target(): _DOMNode;
    currentTarget(): _DOMNode;
    eventPhase(): number;
    bubbles(): boolean;
    cancelable(): boolean;
    timeStamp(): number;
    srcElement(): _DOMNode;
    returnValue(): boolean;
    setReturnValue$(value: boolean): void;
    cancelBubble(): boolean;
    setCancelBubble$(value: boolean): void;
}
